Is my phone compatible with EyeRide?

EyeRide uses Android Auto and Apple CarPlay to transmit information from your phone. Your phone must have this functionality to be compatible with EyeRide. 


- Phones compatible with wireless Android Auto:
  • All phones running Android 11.0
  • A Google or Samsung phone running Android 10.0
  • A Samsung Galaxy S8, Galaxy S8 + or Note 8 running Android 9.0

Please note: There are exceptions for Honor, Huawei and Xiaomi phones. These are indicated at the bottom of the page. 


- Phones compatible with Apple CarPlay:

  • iPhone 14
  • iPhone 14 Plus
  • iPhone 14 Pro
  • iPhone 14 Pro Max
  • iPhone 13 Pro
  • iPhone 13 Pro Max
  • iPhone 13
  • iPhone 13 mini
  • iPhone 12 Pro
  • iPhone 12 Pro Max
  • iPhone 12
  • iPhone 12 mini
  • iPhone 11 Pro
  • iPhone 11 Pro Max
  • iPhone 11
  • iPhone XS
  • iPhone XS Max
  • iPhone XR
  • iPhone X
  • iPhone 8
  • iPhone 8 Plus
  • iPhone 7
  • iPhone 7 Plus
  • iPhone 6s
  • iPhone 6s Plus
  • iPhone 6
  • iPhone 6 Plus
  • iPhone SE (1re génération)
  • iPhone SE (2e génération)
  • iPhone SE (3e génération)
  • iPhone 5s
  • iPhone 5c
  • iPhone 5

  To owners of Huawei and Honor phones: as these brands are no longer licensed for Android, some models do not have Android services and the Play Store, so they cannot download Android Auto, which prevents them from using EyeRide.

To owners of Xiaomi phones: not all models are compatible with wireless Android Auto.

Here are the conditions your device must meet:

  • The operating system must not be Android Go
  • The device must support 5GHz Wi-Fi connection
  • The device must have Android 11 or higher

.


Share this post
our support
Archive
Sign in to leave a comment